@echo off
REM This file will add fixed CART2k rear wings to any carset.
if exist cars.dat goto CREATE
goto ERROR

:ERROR
echo; 
echo;
echo; 
echo;
echo You must rename your carset dat file to cars.dat for this patch to work. 
echo;		
echo; 

goto END


:CREATE
cls
echo;
echo Remember to uncheck "read only" on your dat file before running this 
echo wing changer.
echo; 
echo;


echo What wings do you want to install?
echo;
echo [A] CART 
echo [B] IRL
echo [C] F1


echo;
choice /c:ABC
if errorlevel 3 GOTO F1
if errorlevel 2 GOTO IRL


cls
REM CART
unpack cars.dat
copy CART.edw rr_wings.3do
pack cars.pck
echo.
echo.
cls
del *.3do
del *.mip
del *.pmp
del *.pck
del *.pcx
cls
echo.
echo.
echo			You just fixed your CART2k wings, enjoy!
echo.
echo.
echo.
GOTO FINISH

:IRL
unpack cars.dat
copy IRL.edw rr_wings.3do
pack cars.pck
echo.
echo.
cls
del *.3do
del *.mip
del *.pmp
del *.pck
del *.pcx
cls
echo.
echo.
echo			You just fixed your IRL2k wings, enjoy!
echo.
echo.
echo.
GOTO FINISH

:F1
unpack cars.dat
copy F1b.edw rr_wings.3do
pack cars.pck
echo.
echo.
cls
del *.3do
del *.mip
del *.pmp
del *.pck
del *.pcx
cls
echo.
echo.
echo			You just fixed your F12k wings, enjoy!
echo.
echo.
echo.

:FINISH
echo; 
echo;
echo			Car Changer created by Edwin Roman 
echo			Questions?  Comments?  E-mail me!
echo			edwrom@pcspower.net 
echo;			
echo;
echo;
:END